> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.select.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update team member

> Update a team member's role



## OpenAPI

````yaml https://api.select.dev/public_openapi put /api/{organization_id}/teams/{team_id}/members/{user_role_id}
openapi: 3.1.0
info:
  title: SELECT API (v1)
  version: 0.1.0
servers:
  - url: https://api.select.dev/
    description: SELECT API
security: []
paths:
  /api/{organization_id}/teams/{team_id}/members/{user_role_id}:
    put:
      tags:
        - teams
        - public-api
      summary: Update team member
      description: Update a team member's role
      operationId: >-
        update_team_member_route_api__organization_id__teams__team_id__members__user_role_id__put
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the team
            title: Team Id
          description: The ID of the team
        - name: user_role_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the team membership (UserRole ID)
            title: User Role Id
          description: The ID of the team membership (UserRole ID)
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicTeamMemberUpdate'
              description: The updated member data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicTeamMember'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    PublicTeamMemberUpdate:
      properties:
        role:
          $ref: '#/components/schemas/TeamRoleEnum'
          description: New role for the member (editor or viewer)
      type: object
      required:
        - role
      title: PublicTeamMemberUpdate
      description: Schema for updating a team member's role via public API.
    PublicTeamMember:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of this membership (UserRole ID)
        type:
          $ref: '#/components/schemas/TeamMemberType'
          description: Type of member - either a user or an SSO group
        identifier:
          type: string
          title: Identifier
          description: Email address for users, group name for SSO groups
        role:
          $ref: '#/components/schemas/TeamRoleEnum'
          description: The role this member has within the team context (editor or viewer)
        added_at:
          type: string
          format: date-time
          title: Added At
          description: When the member was added to the team
      type: object
      required:
        - id
        - type
        - identifier
        - role
        - added_at
      title: PublicTeamMember
      description: A member of a team (user or SSO group).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamRoleEnum:
      type: string
      enum:
        - editor
        - viewer
      title: TeamRoleEnum
      description: >-
        Defines the permission level of a user within a team:

        - EDITOR: Can manage team resources, create and modify shared items, and
        change settings

        - VIEWER: Can view team resources and have limited interaction
        capabilities
    TeamMemberType:
      type: string
      enum:
        - user
        - sso_group
      title: TeamMemberType
      description: Type of team member.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````